#
# spec file for package sox (Version 12.17.4)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  alsa alsa-devel libogg libogg-devel libvorbis libvorbis-devel mad mad-devel

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel alsa alsa-devel autoconf automake binutils gcc gdbm gettext libogg libogg-devel libtool libvorbis libvorbis-devel mad mad-devel perl rpm

Name:         sox
License:      GPL, BSD
Group:        Productivity/Multimedia/Sound/Editors and Convertors
Autoreqprov:  on
Version:      12.17.4
Release:      207.2
Summary:      Sound Conversion Tools and Library
URL:          http://sox.sourceforge.net
Source:       ftp://metalab.unc.edu/pub/Linux/apps/sound/convert/sox-%{version}-nogsm.tar.bz2
Source2:      audioio.h
Patch:        sox-%{version}.dif
Patch1:       sox-security.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
SOX is intended to be the Swiss Army knife of sound processing tools. 
It does many things, it just does not do them all well. Sooner or later
it will come in very handy. SOX is really only useable day-to-day if
you hide the wacky options with one-line shell scripts.



Authors:
--------
    Chris Bagwell <cbagwell@sprynet.com>

%prep
%setup
%patch
%patch1

%build
%{?suse_update_config -f}
autoconf
if [ ! -f /usr/include/sun/audioio.h ]; then
	[ -d /usr/include/sun ] || mkdir /usr/include/sun
	cp $RPM_SOURCE_DIR/audioio.h /usr/include/sun/audioio.h
fi
CFLAGS="$RPM_OPT_FLAGS -DHAVE_SYS_SOUNDCARD_H" \
./configure --prefix=/usr --mandir=%{_mandir} \
                         --with-oss-dsp=yes \
                         --with-sun-audio=yes \
			 --disable-gsm \
			 --libdir=%{_libdir}
make

%install
rm -rf "$RPM_BUILD_ROOT" 
mkdir -p $RPM_BUILD_ROOT/usr/{bin,%{_lib}} $RPM_BUILD_ROOT/%{_mandir}/{man1,man3}
make install install-lib install-play \
     DESTDIR=$RPM_BUILD_ROOT \

%clean
rm -rf "$RPM_BUILD_ROOT" 

%files
/usr/bin/*
%{_libdir}/*
/usr/include/*
%doc %{_mandir}/man1/*
%doc %{_mandir}/man3/*
%doc Changelog INSTALL README* TODO monkey.*

%changelog -n sox
* Mon Jul 19 2004 - nadvornik@suse.cz
- fixed buffer overflow [#43116]
* Tue Jul 29 2003 - nadvornik@suse.cz
- updated to 12.17.4
- compiled with libmad - support for reading mp3
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Fri Aug 09 2002 - nadvornik@suse.cz
- fixed problems with converting to .ogg format [bug #17530]
* Wed Feb 27 2002 - nadvornik@suse.cz
- removed gsm library due to possible patent problems
* Wed Feb 13 2002 - nadvornik@suse.cz
- used macro %%{_libdir}
* Tue Jan 08 2002 - nadvornik@suse.cz
- updated to 12.17.3
- support for swapping "bit" order for raw u-law and A-law data
- many bugfixes
* Wed Dec 05 2001 - nadvornik@suse.cz
- disabled alsa support
* Tue Oct 23 2001 - nadvornik@suse.cz
- updated to 12.17.2
- new effects: earwax, fade in/out, silence, dcshift, synth
- updated play/rec/soxeffect scripts to handle all effect
- compiled with alsa support
- compiled with Ogg Vorbis support
* Tue Sep 11 2001 - nadvornik@suse.cz
- fixed output file handling [bug #10449]
* Mon May 21 2001 - nadvornik@suse.cz
- fixed cast warnings and include files for ia64
* Tue Jan 23 2001 - nadvornik@suse.cz
- fixed to compile on axp
* Fri Nov 24 2000 - tiwai@suse.de
- Fixed OSS playback on big-endian machine.
* Mon Oct 09 2000 - nadvornik@suse.cz
- fixed Copyright
- used bzip2
* Fri Sep 15 2000 - nadvornik@suse.cz
- update to 12.17
- used suse_update_config
* Fri May 19 2000 - bk@suse.de
- enabled sunaudio (dev/audio) file format support(see man page for use)
* Fri May 19 2000 - bk@suse.de
- added man pages for play and rec
* Thu May 18 2000 - nadvornik@suse.cz
- changed Group tag
* Mon Apr 10 2000 - nadvornik@suse.cz
- now compiles with the oss driver
* Thu Apr 06 2000 - nadvornik@suse.cz
- added BuildRoot
- added URL
* Tue Jan 25 2000 - ro@suse.de
- update to 12.16, man to /usr/share using macro
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Dec 02 1998 - ro@suse.de
- update to 12.15
* Tue Aug 11 1998 - ro@suse.de
- back to original names play/rec (wavplay changed the names)
- added patches from kevin bradley for polyphase sample rate conversion
* Tue May 12 1998 - ro@suse.de
- initial package version 12.14
  changed play and rec to soxplay and soxrec
  to avoid collision with wavplay
